### Function

# EDataServer util_gthread_id

since: 2.32

#### Declaration [src]

    guint64
    e_util_gthread_id (
      GThread* thread
    )

#### Description [src]

Returns a 64-bit integer hopefully uniquely identifying the thread. To be used in debugging output and logging only. The returned value is just a cast of a pointer to the 64-bit integer.

There is no guarantee that calling e_util_gthread_id () on one thread first and later after that thread has dies on another won’t return the same integer.

On Linux and Win32, known to really return a unique id for each thread existing at a certain time. No guarantee that ids won’t be reused after a thread has terminated, though.

Available since: 2.32

#### Parameters

`thread`

  Type: `GThread`

  A `GThread` pointer.

  The data is owned by the caller of the function.

#### Return value

Type: `guint64`

A 64-bit integer.